com.taosdata.jdbc.ws.tmq

## Enum ConsumerAction

- java.lang.Object
- - java.lang.Enum<ConsumerAction>
  - - com.taosdata.jdbc.ws.tmq.ConsumerAction

All Implemented Interfaces:
  Serializable, Comparable<ConsumerAction>

    public enum ConsumerAction
    extends Enum<ConsumerAction>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSIGNMENT`
`COMMIT`
`COMMIT_OFFSET`
`COMMITTED`
`FETCH_RAW_DATA`
`LIST_TOPICS`
`POLL`
`POSITION`
`SEEK`
`SUBSCRIBE`
`UNSUBSCRIBE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAction()`
`Class<? extends Response>` `getResponseClazz()`
`static ConsumerAction` `of(String action)`
`static ConsumerAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConsumerAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUBSCRIBE

    public static final ConsumerAction SUBSCRIBE

#### POLL

    public static final ConsumerAction POLL

#### FETCH_RAW_DATA

    public static final ConsumerAction FETCH_RAW_DATA

#### COMMIT

    public static final ConsumerAction COMMIT

#### ASSIGNMENT

    public static final ConsumerAction ASSIGNMENT

#### SEEK

    public static final ConsumerAction SEEK

#### UNSUBSCRIBE

    public static final ConsumerAction UNSUBSCRIBE

#### COMMIT_OFFSET

    public static final ConsumerAction COMMIT_OFFSET

#### COMMITTED

    public static final ConsumerAction COMMITTED

#### POSITION

    public static final ConsumerAction POSITION

#### LIST_TOPICS

    public static final ConsumerAction LIST_TOPICS

### Method Detail

#### values

    public static ConsumerAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConsumerAction c : ConsumerAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConsumerAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAction

    public String getAction()

#### getResponseClazz

    public Class<? extends Response> getResponseClazz()

#### of

    public static ConsumerAction of(String action)